Building problem

Fredrik Lundh fredrik at pythonware.com
Sat Dec 13 12:43:49 CET 2003


Lucas Raab wrote:

> I've downloaded a set of modules and when using the MS-DOS prompt: python
> setup.py build (or install) the following message appears:
>
> error: Python was built with version 6 of Visual Studio, and extensions need
> to be built with the same version of the compiler, but it isn't installed.
>
> Has anyone else seen this problem? If you have, any feedback would be much
> appreciated.

the message means exactly what it says.

if you have version 6 of visual studio on your machine, try firing up the
studio once before running the setup.py script again.

if you don't have version 6, you either need to upgrade, find binary
versions of the modules, or get a python built with a compiler you have.

</F>








More information about the Python-list mailing list